namespace _espe.api
{
	
	/**
	 */
	export function register_member_delete(
		rest_subject : lib_plankton.rest.type_rest
	) : void
	{
		lib_plankton.rest.register<_espe.service.member.type_value, null>(
			rest_subject,
			lib_plankton.http.enum_method.delete,
			"/member/:id",
			{
				"description": "löscht ein vorhandenes Mitglied",
				"restriction": restriction_logged_in,
				"execution": async ({"path_parameters": path_parameters}) => {
					const member_id : _espe.service.member.type_id = parseInt(path_parameters["id"]);
					await _espe.service.member.remove(member_id);
					return Promise.resolve({
						"status_code": 200,
						"data": null
					});
				}
			}
		);
	}
	
}
